CRM-KontakteKontakte massenhaft importieren

Kontakte massenhaft importieren

Kontakte aus einem JSON-contacts-Array oder CSV-Body importieren.

curl -X POST "https://api.talkturo.com/api/crm/contacts/import" \
  -H "Content-Type: application/json" \
  -d '{
  "contacts": [
    {
      "first_name": "John Doe",
      "last_name": "John Doe",
      "email": "user@example.com",
      "phone": "+1-555-0123",
      "company_id": "example_string",
      "job_title": "example_string",
      "lead_source": "example_string"
    }
  ]
}'
{
  "success": true,
  "imported": 42,
  "failed": 42,
  "errors": [
    {}
  ]
}
POST
/crm/contacts/import
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.

Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
Content-Typestring
Required

The media type of the request body

Options: application/json, text/csv
Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.

Body

contactsarray

Responses

successboolean
importedinteger
failedinteger
errorsobject[]